import cv2
aruco = cv2.aruco
dictionary = aruco.getPredefinedDictionary(aruco.DICT_4X4_50)

cap = cv2.VideoCapture(0)
cap.set(3, 640)
cap.set(4, 480)
cv2.namedWindow('window')
while True:
  flag, img = cap.read()
  if flag:
    corners, ids, rejectedImgPoints = aruco.detectMarkers(img, dictionary)
    if len(corners) > 0:
      for number, corner in zip(ids, corners):  
        pts = corner[0].astype(int)
        cv2.polylines(img, [pts], True, (0, 255, 0), 3)
    cv2.imshow('window', img)
  if cv2.waitKey(1) & 0xFF == ord('q'):
    break

cv2.destroyAllWindows()
cap.release()
